/*
* Copyright (C) 2006 The Android Open Source Project
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*      http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package android.database;
public abstract class AbstractCursor
  implements android.database.CrossProcessCursor
{
protected static class SelfContentObserver
  extends android.database.ContentObserver
{
public  SelfContentObserver(android.database.AbstractCursor cursor) { super((android.os.Handler)null); throw new RuntimeException("Stub!"); }
public  boolean deliverSelfNotifications() { throw new RuntimeException("Stub!"); }
public  void onChange(boolean selfChange) { throw new RuntimeException("Stub!"); }
}
public  AbstractCursor() { throw new RuntimeException("Stub!"); }
public abstract  int getCount();
public abstract  java.lang.String[] getColumnNames();
public abstract  java.lang.String getString(int column);
public abstract  short getShort(int column);
public abstract  int getInt(int column);
public abstract  long getLong(int column);
public abstract  float getFloat(int column);
public abstract  double getDouble(int column);
public abstract  boolean isNull(int column);
public  int getType(int column) { throw new RuntimeException("Stub!"); }
public  byte[] getBlob(int column) { throw new RuntimeException("Stub!"); }
public  android.database.CursorWindow getWindow() { throw new RuntimeException("Stub!"); }
public  int getColumnCount() { throw new RuntimeException("Stub!"); }
public  void deactivate() { throw new RuntimeException("Stub!"); }
public  boolean requery() { throw new RuntimeException("Stub!"); }
public  boolean isClosed() { throw new RuntimeException("Stub!"); }
public  void close() { throw new RuntimeException("Stub!"); }
public  boolean onMove(int oldPosition, int newPosition) { throw new RuntimeException("Stub!"); }
public  void copyStringToBuffer(int columnIndex, android.database.CharArrayBuffer buffer) { throw new RuntimeException("Stub!"); }
public final  int getPosition() { throw new RuntimeException("Stub!"); }
public final  boolean moveToPosition(int position) { throw new RuntimeException("Stub!"); }
public  void fillWindow(int position, android.database.CursorWindow window) { throw new RuntimeException("Stub!"); }
public final  boolean move(int offset) { throw new RuntimeException("Stub!"); }
public final  boolean moveToFirst() { throw new RuntimeException("Stub!"); }
public final  boolean moveToLast() { throw new RuntimeException("Stub!"); }
public final  boolean moveToNext() { throw new RuntimeException("Stub!"); }
public final  boolean moveToPrevious() { throw new RuntimeException("Stub!"); }
public final  boolean isFirst() { throw new RuntimeException("Stub!"); }
public final  boolean isLast() { throw new RuntimeException("Stub!"); }
public final  boolean isBeforeFirst() { throw new RuntimeException("Stub!"); }
public final  boolean isAfterLast() { throw new RuntimeException("Stub!"); }
public  int getColumnIndex(java.lang.String columnName) { throw new RuntimeException("Stub!"); }
public  int getColumnIndexOrThrow(java.lang.String columnName) { throw new RuntimeException("Stub!"); }
public  java.lang.String getColumnName(int columnIndex) { throw new RuntimeException("Stub!"); }
public  void registerContentObserver(android.database.ContentObserver observer) { throw new RuntimeException("Stub!"); }
public  void unregisterContentObserver(android.database.ContentObserver observer) { throw new RuntimeException("Stub!"); }
public  void registerDataSetObserver(android.database.DataSetObserver observer) { throw new RuntimeException("Stub!"); }
public  void unregisterDataSetObserver(android.database.DataSetObserver observer) { throw new RuntimeException("Stub!"); }
protected  void onChange(boolean selfChange) { throw new RuntimeException("Stub!"); }
public  void setNotificationUri(android.content.ContentResolver cr, android.net.Uri notifyUri) { throw new RuntimeException("Stub!"); }
public  android.net.Uri getNotificationUri() { throw new RuntimeException("Stub!"); }
public  boolean getWantsAllOnMoveCalls() { throw new RuntimeException("Stub!"); }
public  void setExtras(android.os.Bundle extras) { throw new RuntimeException("Stub!"); }
public  android.os.Bundle getExtras() { throw new RuntimeException("Stub!"); }
public  android.os.Bundle respond(android.os.Bundle extras) { throw new RuntimeException("Stub!"); }
@java.lang.Deprecated()
protected  boolean isFieldUpdated(int columnIndex) { throw new RuntimeException("Stub!"); }
@java.lang.Deprecated()
protected  java.lang.Object getUpdatedField(int columnIndex) { throw new RuntimeException("Stub!"); }
protected  void checkPosition() { throw new RuntimeException("Stub!"); }
protected  void finalize() { throw new RuntimeException("Stub!"); }
@java.lang.Deprecated()
protected boolean mClosed;
@java.lang.Deprecated()
protected android.content.ContentResolver mContentResolver;
@java.lang.Deprecated()
protected int mPos;
}
