/*
* Copyright (C) 2006 The Android Open Source Project
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*      http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package android.graphics;
public final class Bitmap
  implements android.os.Parcelable
{
public static enum Config
{
ALPHA_8(),
@java.lang.Deprecated()
ARGB_4444(),
ARGB_8888(),
HARDWARE(),
RGBA_F16(),
RGB_565();
}
public static enum CompressFormat
{
JPEG(),
PNG(),
WEBP();
}
Bitmap() { throw new RuntimeException("Stub!"); }
public  int getDensity() { throw new RuntimeException("Stub!"); }
public  void setDensity(int density) { throw new RuntimeException("Stub!"); }
public  void reconfigure(int width, int height, android.graphics.Bitmap.Config config) { throw new RuntimeException("Stub!"); }
public  void setWidth(int width) { throw new RuntimeException("Stub!"); }
public  void setHeight(int height) { throw new RuntimeException("Stub!"); }
public  void setConfig(android.graphics.Bitmap.Config config) { throw new RuntimeException("Stub!"); }
public  void recycle() { throw new RuntimeException("Stub!"); }
public  boolean isRecycled() { throw new RuntimeException("Stub!"); }
public  int getGenerationId() { throw new RuntimeException("Stub!"); }
public  void copyPixelsToBuffer(java.nio.Buffer dst) { throw new RuntimeException("Stub!"); }
public  void copyPixelsFromBuffer(java.nio.Buffer src) { throw new RuntimeException("Stub!"); }
public  android.graphics.Bitmap copy(android.graphics.Bitmap.Config config, boolean isMutable) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createScaledBitmap(android.graphics.Bitmap src, int dstWidth, int dstHeight, boolean filter) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(android.graphics.Bitmap src) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(android.graphics.Bitmap source, int x, int y, int width, int height) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(android.graphics.Bitmap source, int x, int y, int width, int height, android.graphics.Matrix m, boolean filter) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(int width, int height, android.graphics.Bitmap.Config config) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(android.util.DisplayMetrics display, int width, int height, android.graphics.Bitmap.Config config) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(int width, int height, android.graphics.Bitmap.Config config, boolean hasAlpha) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(int width, int height, android.graphics.Bitmap.Config config, boolean hasAlpha, android.graphics.ColorSpace colorSpace) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(android.util.DisplayMetrics display, int width, int height, android.graphics.Bitmap.Config config, boolean hasAlpha) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(android.util.DisplayMetrics display, int width, int height, android.graphics.Bitmap.Config config, boolean hasAlpha, android.graphics.ColorSpace colorSpace) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(int[] colors, int offset, int stride, int width, int height, android.graphics.Bitmap.Config config) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(android.util.DisplayMetrics display, int[] colors, int offset, int stride, int width, int height, android.graphics.Bitmap.Config config) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(int[] colors, int width, int height, android.graphics.Bitmap.Config config) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(android.util.DisplayMetrics display, int[] colors, int width, int height, android.graphics.Bitmap.Config config) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(android.graphics.Picture source) { throw new RuntimeException("Stub!"); }
public static  android.graphics.Bitmap createBitmap(android.graphics.Picture source, int width, int height, android.graphics.Bitmap.Config config) { throw new RuntimeException("Stub!"); }
public  byte[] getNinePatchChunk() { throw new RuntimeException("Stub!"); }
public  boolean compress(android.graphics.Bitmap.CompressFormat format, int quality, java.io.OutputStream stream) { throw new RuntimeException("Stub!"); }
public  boolean isMutable() { throw new RuntimeException("Stub!"); }
public  boolean isPremultiplied() { throw new RuntimeException("Stub!"); }
public  void setPremultiplied(boolean premultiplied) { throw new RuntimeException("Stub!"); }
public  int getWidth() { throw new RuntimeException("Stub!"); }
public  int getHeight() { throw new RuntimeException("Stub!"); }
public  int getScaledWidth(android.graphics.Canvas canvas) { throw new RuntimeException("Stub!"); }
public  int getScaledHeight(android.graphics.Canvas canvas) { throw new RuntimeException("Stub!"); }
public  int getScaledWidth(android.util.DisplayMetrics metrics) { throw new RuntimeException("Stub!"); }
public  int getScaledHeight(android.util.DisplayMetrics metrics) { throw new RuntimeException("Stub!"); }
public  int getScaledWidth(int targetDensity) { throw new RuntimeException("Stub!"); }
public  int getScaledHeight(int targetDensity) { throw new RuntimeException("Stub!"); }
public  int getRowBytes() { throw new RuntimeException("Stub!"); }
public  int getByteCount() { throw new RuntimeException("Stub!"); }
public  int getAllocationByteCount() { throw new RuntimeException("Stub!"); }
public  android.graphics.Bitmap.Config getConfig() { throw new RuntimeException("Stub!"); }
public  boolean hasAlpha() { throw new RuntimeException("Stub!"); }
public  void setHasAlpha(boolean hasAlpha) { throw new RuntimeException("Stub!"); }
public  boolean hasMipMap() { throw new RuntimeException("Stub!"); }
public  void setHasMipMap(boolean hasMipMap) { throw new RuntimeException("Stub!"); }
public  android.graphics.ColorSpace getColorSpace() { throw new RuntimeException("Stub!"); }
public  void eraseColor(int c) { throw new RuntimeException("Stub!"); }
public  int getPixel(int x, int y) { throw new RuntimeException("Stub!"); }
public  void getPixels(int[] pixels, int offset, int stride, int x, int y, int width, int height) { throw new RuntimeException("Stub!"); }
public  void setPixel(int x, int y, int color) { throw new RuntimeException("Stub!"); }
public  void setPixels(int[] pixels, int offset, int stride, int x, int y, int width, int height) { throw new RuntimeException("Stub!"); }
public  int describeContents() { throw new RuntimeException("Stub!"); }
public  void writeToParcel(android.os.Parcel p, int flags) { throw new RuntimeException("Stub!"); }
public  android.graphics.Bitmap extractAlpha() { throw new RuntimeException("Stub!"); }
public  android.graphics.Bitmap extractAlpha(android.graphics.Paint paint, int[] offsetXY) { throw new RuntimeException("Stub!"); }
public  boolean sameAs(android.graphics.Bitmap other) { throw new RuntimeException("Stub!"); }
public  void prepareToDraw() { throw new RuntimeException("Stub!"); }
public static final android.os.Parcelable.Creator<android.graphics.Bitmap> CREATOR;
public static final int DENSITY_NONE = 0;
static { CREATOR = null; }
}
