/*
* Copyright 2017 The Android Open Source Project
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*      http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package android.media;
public abstract class MediaPlayer2
  implements android.media.AudioRouting, java.lang.AutoCloseable
{
public abstract static class TrackInfo
{
public  TrackInfo() { throw new RuntimeException("Stub!"); }
public abstract  int getTrackType();
public abstract  java.lang.String getLanguage();
public abstract  android.media.MediaFormat getFormat();
public abstract  java.lang.String toString();
public static final int MEDIA_TRACK_TYPE_AUDIO = 2;
public static final int MEDIA_TRACK_TYPE_METADATA = 5;
public static final int MEDIA_TRACK_TYPE_SUBTITLE = 4;
public static final int MEDIA_TRACK_TYPE_UNKNOWN = 0;
public static final int MEDIA_TRACK_TYPE_VIDEO = 1;
}
public abstract static class EventCallback
{
public  EventCallback() { throw new RuntimeException("Stub!"); }
public  void onBufferingUpdate(android.media.MediaPlayer2 mp, long srcId, int percent) { throw new RuntimeException("Stub!"); }
public  void onVideoSizeChanged(android.media.MediaPlayer2 mp, long srcId, int width, int height) { throw new RuntimeException("Stub!"); }
public  void onTimedMetaDataAvailable(android.media.MediaPlayer2 mp, long srcId, android.media.TimedMetaData data) { throw new RuntimeException("Stub!"); }
public  void onError(android.media.MediaPlayer2 mp, long srcId, int what, int extra) { throw new RuntimeException("Stub!"); }
public  void onInfo(android.media.MediaPlayer2 mp, long srcId, int what, int extra) { throw new RuntimeException("Stub!"); }
}
public static interface OnDrmConfigHelper
{
public abstract  void onDrmConfig(android.media.MediaPlayer2 mp);
}
public abstract static class DrmEventCallback
{
public  DrmEventCallback() { throw new RuntimeException("Stub!"); }
public  void onDrmInfo(android.media.MediaPlayer2 mp, android.media.MediaPlayer2.DrmInfo drmInfo) { throw new RuntimeException("Stub!"); }
public  void onDrmPrepared(android.media.MediaPlayer2 mp, int status) { throw new RuntimeException("Stub!"); }
}
public abstract static class DrmInfo
{
public  DrmInfo() { throw new RuntimeException("Stub!"); }
public abstract  java.util.Map<java.util.UUID, byte[]> getPssh();
public abstract  java.util.List<java.util.UUID> getSupportedSchemes();
}
public abstract static class NoDrmSchemeException
  extends android.media.MediaDrmException
{
protected  NoDrmSchemeException(java.lang.String detailMessage) { super((java.lang.String)null); throw new RuntimeException("Stub!"); }
}
public abstract static class ProvisioningNetworkErrorException
  extends android.media.MediaDrmException
{
protected  ProvisioningNetworkErrorException(java.lang.String detailMessage) { super((java.lang.String)null); throw new RuntimeException("Stub!"); }
}
public abstract static class ProvisioningServerErrorException
  extends android.media.MediaDrmException
{
protected  ProvisioningServerErrorException(java.lang.String detailMessage) { super((java.lang.String)null); throw new RuntimeException("Stub!"); }
}
public static final class MetricsConstants
{
MetricsConstants() { throw new RuntimeException("Stub!"); }
public static final java.lang.String CODEC_AUDIO = "android.media.mediaplayer.audio.codec";
public static final java.lang.String CODEC_VIDEO = "android.media.mediaplayer.video.codec";
public static final java.lang.String DURATION = "android.media.mediaplayer.durationMs";
public static final java.lang.String ERRORS = "android.media.mediaplayer.err";
public static final java.lang.String ERROR_CODE = "android.media.mediaplayer.errcode";
public static final java.lang.String FRAMES = "android.media.mediaplayer.frames";
public static final java.lang.String FRAMES_DROPPED = "android.media.mediaplayer.dropped";
public static final java.lang.String HEIGHT = "android.media.mediaplayer.height";
public static final java.lang.String MIME_TYPE_AUDIO = "android.media.mediaplayer.audio.mime";
public static final java.lang.String MIME_TYPE_VIDEO = "android.media.mediaplayer.video.mime";
public static final java.lang.String PLAYING = "android.media.mediaplayer.playingMs";
public static final java.lang.String WIDTH = "android.media.mediaplayer.width";
}
MediaPlayer2() { throw new RuntimeException("Stub!"); }
public static final  android.media.MediaPlayer2 create() { throw new RuntimeException("Stub!"); }
public abstract  void setSurface(android.view.Surface surface);
public abstract  void clearPendingCommands();
public abstract  void setDataSource(android.media.DataSourceDesc dsd) throws java.io.IOException;
public abstract  android.media.DataSourceDesc getCurrentDataSource();
public abstract  void setPlaylist(java.util.List<android.media.DataSourceDesc> pl, int startIndex) throws java.io.IOException;
public abstract  java.util.List<android.media.DataSourceDesc> getPlaylist();
public abstract  void setCurrentPlaylistItem(int index);
public abstract  void setNextPlaylistItem(int index);
public abstract  int getCurrentPlaylistItemIndex();
public abstract  void setLoopingMode(int mode);
public abstract  int getLoopingMode();
public abstract  void movePlaylistItem(int indexFrom, int indexTo);
public abstract  android.media.DataSourceDesc removePlaylistItem(int index);
public abstract  void addPlaylistItem(int index, android.media.DataSourceDesc dsd);
public abstract  android.media.DataSourceDesc editPlaylistItem(int index, android.media.DataSourceDesc dsd);
public abstract  void prepareAsync();
public abstract  void play();
public abstract  void pause();
public abstract  boolean setPreferredDevice(android.media.AudioDeviceInfo deviceInfo);
public abstract  android.media.AudioDeviceInfo getPreferredDevice();
public abstract  android.media.AudioDeviceInfo getRoutedDevice();
public abstract  void addOnRoutingChangedListener(android.media.AudioRouting.OnRoutingChangedListener listener, android.os.Handler handler);
public abstract  void removeOnRoutingChangedListener(android.media.AudioRouting.OnRoutingChangedListener listener);
public abstract  int getVideoWidth();
public abstract  int getVideoHeight();
public abstract  android.os.PersistableBundle getMetrics();
public abstract  boolean isPlaying();
public abstract  void setPlaybackParams(android.media.PlaybackParams params);
public abstract  android.media.PlaybackParams getPlaybackParams();
public abstract  void setSyncParams(android.media.SyncParams params);
public abstract  android.media.SyncParams getSyncParams();
public abstract  void seekTo(long msec, int mode);
public abstract  android.media.MediaTimestamp getTimestamp();
public abstract  int getCurrentPosition();
public abstract  int getDuration();
public abstract  void reset();
public abstract  void setAudioAttributes(android.media.AudioAttributes attributes);
public abstract  void setVolume(float leftVolume, float rightVolume);
public abstract  void setAudioSessionId(int sessionId);
public abstract  int getAudioSessionId();
public abstract  void attachAuxEffect(int effectId);
public abstract  void setAuxEffectSendLevel(float level);
public abstract  java.util.List<android.media.MediaPlayer2.TrackInfo> getTrackInfo();
public abstract  int getSelectedTrack(int trackType);
public abstract  void selectTrack(int index);
public abstract  void deselectTrack(int index);
public abstract  void close();
public abstract  void registerEventCallback(java.util.concurrent.Executor executor, android.media.MediaPlayer2.EventCallback eventCallback);
public abstract  void unregisterEventCallback(android.media.MediaPlayer2.EventCallback callback);
public abstract  void setOnDrmConfigHelper(android.media.MediaPlayer2.OnDrmConfigHelper listener);
public abstract  void registerDrmEventCallback(java.util.concurrent.Executor executor, android.media.MediaPlayer2.DrmEventCallback eventCallback);
public abstract  void unregisterDrmEventCallback(android.media.MediaPlayer2.DrmEventCallback callback);
public abstract  android.media.MediaPlayer2.DrmInfo getDrmInfo();
public abstract  void prepareDrm(java.util.UUID uuid) throws android.media.UnsupportedSchemeException, android.media.ResourceBusyException, android.media.MediaPlayer2.ProvisioningNetworkErrorException, android.media.MediaPlayer2.ProvisioningServerErrorException;
public abstract  void releaseDrm() throws android.media.MediaPlayer2.NoDrmSchemeException;
public abstract  android.media.MediaDrm.KeyRequest getKeyRequest(byte[] keySetId, byte[] initData, java.lang.String mimeType, int keyType, java.util.Map<java.lang.String, java.lang.String> optionalParameters) throws android.media.MediaPlayer2.NoDrmSchemeException;
public abstract  byte[] provideKeyResponse(byte[] keySetId, byte[] response) throws android.media.MediaPlayer2.NoDrmSchemeException, android.media.DeniedByServerException;
public abstract  void restoreKeys(byte[] keySetId) throws android.media.MediaPlayer2.NoDrmSchemeException;
public abstract  java.lang.String getDrmPropertyString(java.lang.String propertyName) throws android.media.MediaPlayer2.NoDrmSchemeException;
public abstract  void setDrmPropertyString(java.lang.String propertyName, java.lang.String value) throws android.media.MediaPlayer2.NoDrmSchemeException;
public static final int LOOPING_MODE_FULL = 1;
public static final int LOOPING_MODE_NONE = 0;
public static final int LOOPING_MODE_SHUFFLE = 3;
public static final int LOOPING_MODE_SINGLE = 2;
public static final int MEDIA_ERROR_IO = -1004;
public static final int MEDIA_ERROR_MALFORMED = -1007;
public static final int MEDIA_ERROR_NOT_VALID_FOR_PROGRESSIVE_PLAYBACK = 200;
public static final int MEDIA_ERROR_TIMED_OUT = -110;
public static final int MEDIA_ERROR_UNKNOWN = 1;
public static final int MEDIA_ERROR_UNSUPPORTED = -1010;
public static final int MEDIA_INFO_AUDIO_NOT_PLAYING = 804;
public static final int MEDIA_INFO_AUDIO_RENDERING_START = 4;
public static final int MEDIA_INFO_BAD_INTERLEAVING = 800;
public static final int MEDIA_INFO_BUFFERING_END = 702;
public static final int MEDIA_INFO_BUFFERING_START = 701;
public static final int MEDIA_INFO_COMPLETE_CALL_PAUSE = 102;
public static final int MEDIA_INFO_COMPLETE_CALL_PLAY = 101;
public static final int MEDIA_INFO_COMPLETE_CALL_SEEK = 103;
public static final int MEDIA_INFO_METADATA_UPDATE = 802;
public static final int MEDIA_INFO_NOT_SEEKABLE = 801;
public static final int MEDIA_INFO_PLAYBACK_COMPLETE = 5;
public static final int MEDIA_INFO_PLAYLIST_END = 6;
public static final int MEDIA_INFO_PREPARED = 100;
public static final int MEDIA_INFO_STARTED_AS_NEXT = 2;
public static final int MEDIA_INFO_SUBTITLE_TIMED_OUT = 902;
public static final int MEDIA_INFO_UNKNOWN = 1;
public static final int MEDIA_INFO_UNSUPPORTED_SUBTITLE = 901;
public static final int MEDIA_INFO_VIDEO_NOT_PLAYING = 805;
public static final int MEDIA_INFO_VIDEO_RENDERING_START = 3;
public static final int MEDIA_INFO_VIDEO_TRACK_LAGGING = 700;
public static final int PREPARE_DRM_STATUS_PREPARATION_ERROR = 3;
public static final int PREPARE_DRM_STATUS_PROVISIONING_NETWORK_ERROR = 1;
public static final int PREPARE_DRM_STATUS_PROVISIONING_SERVER_ERROR = 2;
public static final int PREPARE_DRM_STATUS_SUCCESS = 0;
public static final int SEEK_CLOSEST = 3;
public static final int SEEK_CLOSEST_SYNC = 2;
public static final int SEEK_NEXT_SYNC = 1;
public static final int SEEK_PREVIOUS_SYNC = 0;
public static final int VIDEO_SCALING_MODE_SCALE_TO_FIT = 1;
}
