/*
* Copyright (C) 2017 The Android Open Source Project
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*      http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package android.view.textclassifier;
public interface TextClassifier
{
public static final class EntityConfig
  implements android.os.Parcelable
{
public  EntityConfig(int mEntityPreset) { throw new RuntimeException("Stub!"); }
public  android.view.textclassifier.TextClassifier.EntityConfig includeEntities(java.lang.String... entities) { throw new RuntimeException("Stub!"); }
public  android.view.textclassifier.TextClassifier.EntityConfig excludeEntities(java.lang.String... entities) { throw new RuntimeException("Stub!"); }
public  java.util.List<java.lang.String> getEntities(android.view.textclassifier.TextClassifier textClassifier) { throw new RuntimeException("Stub!"); }
public  int describeContents() { throw new RuntimeException("Stub!"); }
public  void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }
public static final android.os.Parcelable.Creator<android.view.textclassifier.TextClassifier.EntityConfig> CREATOR;
static { CREATOR = null; }
}
default public  android.view.textclassifier.TextSelection suggestSelection(java.lang.CharSequence text, int selectionStartIndex, int selectionEndIndex, android.view.textclassifier.TextSelection.Options options) { throw new RuntimeException("Stub!"); }
default public  android.view.textclassifier.TextSelection suggestSelection(java.lang.CharSequence text, int selectionStartIndex, int selectionEndIndex) { throw new RuntimeException("Stub!"); }
default public  android.view.textclassifier.TextSelection suggestSelection(java.lang.CharSequence text, int selectionStartIndex, int selectionEndIndex, android.os.LocaleList defaultLocales) { throw new RuntimeException("Stub!"); }
default public  android.view.textclassifier.TextClassification classifyText(java.lang.CharSequence text, int startIndex, int endIndex, android.view.textclassifier.TextClassification.Options options) { throw new RuntimeException("Stub!"); }
default public  android.view.textclassifier.TextClassification classifyText(java.lang.CharSequence text, int startIndex, int endIndex) { throw new RuntimeException("Stub!"); }
default public  android.view.textclassifier.TextClassification classifyText(java.lang.CharSequence text, int startIndex, int endIndex, android.os.LocaleList defaultLocales) { throw new RuntimeException("Stub!"); }
default public  android.view.textclassifier.TextLinks generateLinks(java.lang.CharSequence text, android.view.textclassifier.TextLinks.Options options) { throw new RuntimeException("Stub!"); }
default public  android.view.textclassifier.TextLinks generateLinks(java.lang.CharSequence text) { throw new RuntimeException("Stub!"); }
default public  java.util.Collection<java.lang.String> getEntitiesForPreset(int entityPreset) { throw new RuntimeException("Stub!"); }
default public  android.view.textclassifier.logging.Logger getLogger(android.view.textclassifier.logging.Logger.Config config) { throw new RuntimeException("Stub!"); }
public static final int ENTITY_PRESET_ALL = 0;
public static final int ENTITY_PRESET_BASE = 2;
public static final int ENTITY_PRESET_NONE = 1;
public static final android.view.textclassifier.TextClassifier NO_OP = null;
public static final java.lang.String TYPE_ADDRESS = "address";
public static final java.lang.String TYPE_DATE = "date";
public static final java.lang.String TYPE_DATE_TIME = "datetime";
public static final java.lang.String TYPE_EMAIL = "email";
public static final java.lang.String TYPE_FLIGHT_NUMBER = "flight";
public static final java.lang.String TYPE_OTHER = "other";
public static final java.lang.String TYPE_PHONE = "phone";
public static final java.lang.String TYPE_UNKNOWN = "";
public static final java.lang.String TYPE_URL = "url";
}
