/*
* Copyright (c) 1997, 2013, Oracle and/or its affiliates. All rights reserved.
* DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
*
* This code is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License version 2 only, as
* published by the Free Software Foundation.  Oracle designates this
* particular file as subject to the "Classpath" exception as provided
* by Oracle in the LICENSE file that accompanied this code.
*
* This code is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* version 2 for more details (a copy is included in the LICENSE file that
* accompanied this code).
*
* You should have received a copy of the GNU General Public License version
* 2 along with this work; if not, write to the Free Software Foundation,
* Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
*
* Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
* or visit www.oracle.com if you need additional information or have any
* questions.
*/

/*
* (C) Copyright Taligent, Inc. 1996 - 1997, All Rights Reserved
* (C) Copyright IBM Corp. 1996 - 1998, All Rights Reserved
*
* The original version of this source code and documentation is
* copyrighted and owned by Taligent, Inc., a wholly-owned subsidiary
* of IBM. These materials are provided under terms of a License
* Agreement between Taligent and Sun. This technology is protected
* by multiple US and International patents.
*
* This notice and attribution to Taligent may not be removed.
* Taligent is a registered trademark of Taligent, Inc.
*
*/

package java.awt.font;
public final class TextAttribute
  extends java.text.AttributedCharacterIterator.Attribute
{
protected  TextAttribute(java.lang.String name) { super((java.lang.String)null); throw new RuntimeException("Stub!"); }
protected  java.lang.Object readResolve() throws java.io.InvalidObjectException { throw new RuntimeException("Stub!"); }
public static final java.awt.font.TextAttribute BACKGROUND;
public static final java.awt.font.TextAttribute BIDI_EMBEDDING;
public static final java.awt.font.TextAttribute CHAR_REPLACEMENT;
public static final java.awt.font.TextAttribute FAMILY;
public static final java.awt.font.TextAttribute FONT;
public static final java.awt.font.TextAttribute FOREGROUND;
public static final java.awt.font.TextAttribute INPUT_METHOD_HIGHLIGHT;
public static final java.awt.font.TextAttribute INPUT_METHOD_UNDERLINE;
public static final java.awt.font.TextAttribute JUSTIFICATION;
public static final java.lang.Float JUSTIFICATION_FULL;
public static final java.lang.Float JUSTIFICATION_NONE;
public static final java.awt.font.TextAttribute KERNING;
public static final java.lang.Integer KERNING_ON;
public static final java.awt.font.TextAttribute LIGATURES;
public static final java.lang.Integer LIGATURES_ON;
public static final java.awt.font.TextAttribute NUMERIC_SHAPING;
public static final java.awt.font.TextAttribute POSTURE;
public static final java.lang.Float POSTURE_OBLIQUE;
public static final java.lang.Float POSTURE_REGULAR;
public static final java.awt.font.TextAttribute RUN_DIRECTION;
public static final java.lang.Boolean RUN_DIRECTION_LTR;
public static final java.lang.Boolean RUN_DIRECTION_RTL;
public static final java.awt.font.TextAttribute SIZE;
public static final java.awt.font.TextAttribute STRIKETHROUGH;
public static final java.lang.Boolean STRIKETHROUGH_ON;
public static final java.awt.font.TextAttribute SUPERSCRIPT;
public static final java.lang.Integer SUPERSCRIPT_SUB;
public static final java.lang.Integer SUPERSCRIPT_SUPER;
public static final java.awt.font.TextAttribute SWAP_COLORS;
public static final java.lang.Boolean SWAP_COLORS_ON;
public static final java.awt.font.TextAttribute TRACKING;
public static final java.lang.Float TRACKING_LOOSE;
public static final java.lang.Float TRACKING_TIGHT;
public static final java.awt.font.TextAttribute TRANSFORM;
public static final java.awt.font.TextAttribute UNDERLINE;
public static final java.lang.Integer UNDERLINE_LOW_DASHED;
public static final java.lang.Integer UNDERLINE_LOW_DOTTED;
public static final java.lang.Integer UNDERLINE_LOW_GRAY;
public static final java.lang.Integer UNDERLINE_LOW_ONE_PIXEL;
public static final java.lang.Integer UNDERLINE_LOW_TWO_PIXEL;
public static final java.lang.Integer UNDERLINE_ON;
public static final java.awt.font.TextAttribute WEIGHT;
public static final java.lang.Float WEIGHT_BOLD;
public static final java.lang.Float WEIGHT_DEMIBOLD;
public static final java.lang.Float WEIGHT_DEMILIGHT;
public static final java.lang.Float WEIGHT_EXTRABOLD;
public static final java.lang.Float WEIGHT_EXTRA_LIGHT;
public static final java.lang.Float WEIGHT_HEAVY;
public static final java.lang.Float WEIGHT_LIGHT;
public static final java.lang.Float WEIGHT_MEDIUM;
public static final java.lang.Float WEIGHT_REGULAR;
public static final java.lang.Float WEIGHT_SEMIBOLD;
public static final java.lang.Float WEIGHT_ULTRABOLD;
public static final java.awt.font.TextAttribute WIDTH;
public static final java.lang.Float WIDTH_CONDENSED;
public static final java.lang.Float WIDTH_EXTENDED;
public static final java.lang.Float WIDTH_REGULAR;
public static final java.lang.Float WIDTH_SEMI_CONDENSED;
public static final java.lang.Float WIDTH_SEMI_EXTENDED;
static { BACKGROUND = null; BIDI_EMBEDDING = null; CHAR_REPLACEMENT = null; FAMILY = null; FONT = null; FOREGROUND = null; INPUT_METHOD_HIGHLIGHT = null; INPUT_METHOD_UNDERLINE = null; JUSTIFICATION = null; JUSTIFICATION_FULL = null; JUSTIFICATION_NONE = null; KERNING = null; KERNING_ON = null; LIGATURES = null; LIGATURES_ON = null; NUMERIC_SHAPING = null; POSTURE = null; POSTURE_OBLIQUE = null; POSTURE_REGULAR = null; RUN_DIRECTION = null; RUN_DIRECTION_LTR = null; RUN_DIRECTION_RTL = null; SIZE = null; STRIKETHROUGH = null; STRIKETHROUGH_ON = null; SUPERSCRIPT = null; SUPERSCRIPT_SUB = null; SUPERSCRIPT_SUPER = null; SWAP_COLORS = null; SWAP_COLORS_ON = null; TRACKING = null; TRACKING_LOOSE = null; TRACKING_TIGHT = null; TRANSFORM = null; UNDERLINE = null; UNDERLINE_LOW_DASHED = null; UNDERLINE_LOW_DOTTED = null; UNDERLINE_LOW_GRAY = null; UNDERLINE_LOW_ONE_PIXEL = null; UNDERLINE_LOW_TWO_PIXEL = null; UNDERLINE_ON = null; WEIGHT = null; WEIGHT_BOLD = null; WEIGHT_DEMIBOLD = null; WEIGHT_DEMILIGHT = null; WEIGHT_EXTRABOLD = null; WEIGHT_EXTRA_LIGHT = null; WEIGHT_HEAVY = null; WEIGHT_LIGHT = null; WEIGHT_MEDIUM = null; WEIGHT_REGULAR = null; WEIGHT_SEMIBOLD = null; WEIGHT_ULTRABOLD = null; WIDTH = null; WIDTH_CONDENSED = null; WIDTH_EXTENDED = null; WIDTH_REGULAR = null; WIDTH_SEMI_CONDENSED = null; WIDTH_SEMI_EXTENDED = null; }
}
